### Hierarchy

- NodeCryptoHmacSha256

### Implements

- Hmac

## Index

### Constructors

- constructor

### Properties

- createHmac

### Methods

- digest

## Constructors

### constructor

- new NodeCryptoHmacSha256(createHmac: NodeCryptoCreateHmac): NodeCryptoHmacSha256

- - Defined in src/encryption/hmacSha256.ts:10

  #### Parameters

  - ##### createHmac: NodeCryptoCreateHmac

  #### Returns NodeCryptoHmacSha256

## Properties

### createHmac

createHmac: NodeCryptoCreateHmac

- Defined in src/encryption/hmacSha256.ts:10

## Methods

### digest

- digest(key: Buffer, data: Buffer): Promise<Buffer>

- Implementation of Hmac.digest

  - Defined in src/encryption/hmacSha256.ts:16

  #### Parameters

  - ##### key: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc